View Issue Details

IDProjectCategoryView StatusLast Update
0038708LazarusDebuggerpublic2021-04-13 15:39
ReporterAndrey Zubarev Assigned ToMartin Friebe  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.0.13 (SVN) 
Fixed in Version2.2 
Summary0038708: The initialization section does not have complete debugging information
DescriptionI do not know, maybe it needs assigned the FPC. The initialization section does not have complete debugging information. There is a line number, but no module name. Therefore, clicking on a line in the stack window does not open the desired file. Please copy the code below, set a breakpoint, and look in the stack window

unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs;

type
  TForm1 = class(TForm)
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

function test:integer;
begin
  result:=0;//------------------>place breakpoint here
end;

initialization
  test;
end.
TagsNo tags attached.
Fixed in Revision64983
LazTarget2.2
Widgetset
Attached Files

Activities

Andrey Zubarev

2021-04-05 23:04

reporter  

callstack.PNG (21,137 bytes)   
callstack.PNG (21,137 bytes)   

Martin Friebe

2021-04-06 01:07

manager   ~0130125

Actually the info appears to be available, and it seems the IDE that ignores it.

FpDebug appears to be able to deal with it correctly.

Andrey Zubarev

2021-04-06 05:57

reporter   ~0130130

I install FPDebug, nothing has changed

Martin Friebe

2021-04-13 01:58

manager   ~0130334

Did you go to Tools > Options > debugger
and changed the debugger to FpDebug there?

Martin Friebe

2021-04-13 15:24

manager   ~0130345

Fixed in rev 64983
Merged to fixes branch rev 64984
Diff https://github.com/User4martin/lazarus/commit/9edea02d8482afb92d70717fea20902c85964711.diff

Please close if ok.

Andrey Zubarev

2021-04-13 15:39

reporter   ~0130346

Thanks!

Issue History

Date Modified Username Field Change
2021-04-05 23:04 Andrey Zubarev New Issue
2021-04-05 23:04 Andrey Zubarev Status new => assigned
2021-04-05 23:04 Andrey Zubarev Assigned To => Martin Friebe
2021-04-05 23:04 Andrey Zubarev File Added: callstack.PNG
2021-04-06 01:07 Martin Friebe Note Added: 0130125
2021-04-06 05:57 Andrey Zubarev Note Added: 0130130
2021-04-13 01:58 Martin Friebe Note Added: 0130334
2021-04-13 15:24 Martin Friebe Status assigned => resolved
2021-04-13 15:24 Martin Friebe Resolution open => fixed
2021-04-13 15:24 Martin Friebe Fixed in Version => 2.2
2021-04-13 15:24 Martin Friebe Fixed in Revision => 64983
2021-04-13 15:24 Martin Friebe LazTarget => 2.2
2021-04-13 15:24 Martin Friebe Note Added: 0130345
2021-04-13 15:39 Andrey Zubarev Status resolved => closed
2021-04-13 15:39 Andrey Zubarev Note Added: 0130346